FLIST(1)

NAME
flist, flists - list the number of nmh messages in given sequences

SYNOPSIS

flist [-help] [-version] [+folder1 [+folder2 ...]] [-sequence name1 [-sequence name2 ...]] [-all | -noall] [-showzero | -noshowzero] [-recurse | -norecurse] [-fast | -nofast] [-alpha | -noalpha]

flists is equivalent to flist -all

DESCRIPTION
flist is used to search a list of folders and display the number of messages in these folders that are in a given sequence or set of sequences (for example the “unseen” sequence). This is especially useful if you use some mechanism such as slocal or procmail (typically in conjunction with rcvstore) to pre-sort your mail into different folders before you view it.

By default, the command flist will search the current folder for the given sequence or sequences (usually “unseen”). If (possibly multiple) folders are specified on the command line with +folder, then all these folders are searched for the given sequence(s). flist will display for each folder searched, the number of messages in each of the specified sequences, and the total number of messages.

The -sequence switch specifies the sequence to which messages should belong. This switch may be given multiple times to specify multiple sequences. If it is not given, then the default is to search for all the sequences specified by the “Unseen-Sequence” profile component. For more details about sequences, read mh-sequence(5).

Typically, flist will produce a line for each sequence, for every folder that is searched, even those which do not contain any messages in the given sequence. Specifying -noshowzero will cause flist to print only those folder/sequence combinations where the folder has a non-zero number of messages in the given sequence.

If -recurse is given, then for each folder that is searched, flist will also recursively descend into those folders to search subfolders for the given sequence.

If -fast is given, only the names of the folders searched will be displayed, and flist will suppress all other output. If this option is used in conjunction with -noshowzero, then flist will only print the names of those folders searched that contain messages in in at least one of the specified sequences.

  Multiple Folders
If the -all switch is given (and no folders are specified with +folder), then flist will search all the folders in the top level of the users nmh directory. These folders are all preceded by the read-only folders, which occur as “atr-cur-” entries in the user's nmh context.

An example of the output of flist -all is:

    /work/Mail  has  5 in sequence unseen (private); out of  46
    inbox+      has 10 in sequence unseen          ; out of 153
    junklist    has  0 in sequence unseen          ; out of  63
    postmaster  has  1 in sequence unseen          ; out of   3

The “+” after inbox indicates that it is the current folder.

The “private” flag indicates that the given sequence for that folder is private. See mh-sequence(5) for details about private sequences.

If the option -all and +folder are both specified, then flist will search this folder, and all its first level subfolders for the given sequence. You may specify multiple folders in this way.

If flist is invoked by a name ending with “s” (e.g. flists), then the switch -all is assumed by default.

The sorting order for the listing is alphabetical (with -alpha), or in a priority order defined by the “Flist-Order” profile entry (with -noalpha). Each item in the “Flist-Order” is a folder name or a folder name pattern that uses * to match zero or more characters. Longer matching patterns have precedence over shorter matching patterns. For example:

    Flist-Order: personal petproject mh* * admin *junk

This order puts a few interesting folders first, such as those with mail addressed to you personally, those about a pet project, and those about mh-related things. It places uninteresting folders at the end, and it puts everything else in the middle in alphabetical order.

FILES

$HOME/.mh_profile
    The user's profile.

PROFILE COMPONENTS
Path:
    To determine the user's nmh directory.
mh-sequences:
    File that contains public sequences.
Unseen-Sequence:
    The name of the unseen message sequence.
Flist-Order:
    To sort folders by priority.

SEE ALSO
folder(1), rcvstore(1), slocal(1), mh-sequence(5)

DEFAULTS
-sequence
    The Unseen-Sequence profile entry.
-showzero
-noall
-norecurse
-noalpha
-nofast

CONTEXT
If +folder is given, it will become the current folder. If multiple folders are given, the last one specified will become the current folder.